List Payment Instructions
curl --request GET \
--url https://api.prod.bastion.com/v2/identities/{identity_id}/payment-instructions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.bastion.com/v2/identities/{identity_id}/payment-instructions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.bastion.com/v2/identities/{identity_id}/payment-instructions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.bastion.com/v2/identities/{identity_id}/payment-instructions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.prod.bastion.com/v2/identities/{identity_id}/payment-instructions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.prod.bastion.com/v2/identities/{identity_id}/payment-instructions")
.header("Authorization", "Bearer <token>")
.asString();val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.prod.bastion.com/v2/identities/{identity_id}/payment-instructions")
.get()
.addHeader("Authorization", "Bearer <token>")
.build()
val response = client.newCall(request).execute()falseimport Foundation
let url = URL(string: "https://api.prod.bastion.com/v2/identities/{identity_id}/payment-instructions")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.prod.bastion.com/v2/identities/{identity_id}/payment-instructions");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://api.prod.bastion.com/v2/identities/{identity_id}/payment-instructions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"payment_instructions": [
{
"country": "US",
"fiat_currency_symbol": "USD",
"account_name": "<string>",
"payment_method": "WIRE",
"bank_account_details": {
"bank_transfer_details": {
"account_number": "<string>",
"bank_id": "<string>",
"bank_code": "<string>",
"swift_or_bic_number": "<string>",
"type": "CHECKING"
},
"name": "<string>"
},
"beneficiary_type": "FIRST_PARTY",
"recipient": {
"business": {
"business_name": "<string>",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"region_code": "<string>",
"street_line_2": "<string>"
},
"email": "<string>",
"tax_id": "<string>",
"phone": "<string>"
},
"name": "<string>",
"email": "<string>",
"tax_id": "<string>",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"region_code": "<string>",
"street_line_2": "<string>"
},
"recipient_type": "INDIVIDUAL",
"phone": "<string>"
},
"id": "<string>",
"identity_id": "<string>"
}
]
}Payment Instructions
List Payment Instructions
List payment instructions saved for a given identity
GET
/
v2
/
identities
/
{identity_id}
/
payment-instructions
List Payment Instructions
curl --request GET \
--url https://api.prod.bastion.com/v2/identities/{identity_id}/payment-instructions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.bastion.com/v2/identities/{identity_id}/payment-instructions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.bastion.com/v2/identities/{identity_id}/payment-instructions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.bastion.com/v2/identities/{identity_id}/payment-instructions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.prod.bastion.com/v2/identities/{identity_id}/payment-instructions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.prod.bastion.com/v2/identities/{identity_id}/payment-instructions")
.header("Authorization", "Bearer <token>")
.asString();val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.prod.bastion.com/v2/identities/{identity_id}/payment-instructions")
.get()
.addHeader("Authorization", "Bearer <token>")
.build()
val response = client.newCall(request).execute()falseimport Foundation
let url = URL(string: "https://api.prod.bastion.com/v2/identities/{identity_id}/payment-instructions")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.prod.bastion.com/v2/identities/{identity_id}/payment-instructions");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://api.prod.bastion.com/v2/identities/{identity_id}/payment-instructions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"payment_instructions": [
{
"country": "US",
"fiat_currency_symbol": "USD",
"account_name": "<string>",
"payment_method": "WIRE",
"bank_account_details": {
"bank_transfer_details": {
"account_number": "<string>",
"bank_id": "<string>",
"bank_code": "<string>",
"swift_or_bic_number": "<string>",
"type": "CHECKING"
},
"name": "<string>"
},
"beneficiary_type": "FIRST_PARTY",
"recipient": {
"business": {
"business_name": "<string>",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"region_code": "<string>",
"street_line_2": "<string>"
},
"email": "<string>",
"tax_id": "<string>",
"phone": "<string>"
},
"name": "<string>",
"email": "<string>",
"tax_id": "<string>",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"region_code": "<string>",
"street_line_2": "<string>"
},
"recipient_type": "INDIVIDUAL",
"phone": "<string>"
},
"id": "<string>",
"identity_id": "<string>"
}
]
}